<?php
namespace app\api\validate;
use app\common\validate\BaseValidate;

class ReturnWorkValidate extends BaseValidate
{
    protected $rule = [
        'work_sn' => 'require',
        'id'=>'require'
    ];
    protected $field = [
        'sn' => '返修工单编号',
        'id'=>'参数'
    ];

    public function sceneDetail()
    {
        return $this->only(['id']);
    }

    public function sceneConfirmFinish(): ReturnWorkValidate
    {
        return $this->only(['work_sn']);
    }
}